{ lib, namespace, ... }:
with lib;
{
  options.${namespace}.services.glances = {
    enable = mkEnableOption "glances system monitoring service";

    port = mkOption {
      type = types.port;
      default = 61208;
      description = "Port for glances web interface";
    };

    openFirewall = mkOption {
      type = types.bool;
      default = true;
      description = "Whether to open firewall for glances";
    };

    bindAddress = mkOption {
      type = types.str;
      default = "0.0.0.0";
      description = "Address to bind glances web server to";
    };
  };
}
